package com.ym.mec.web.controller.school;

import com.ym.mec.biz.dal.school.dto.MusicGroupQuitDetailDto;
import com.ym.mec.biz.dal.school.dto.MusicGroupQuitPageDto;
import com.ym.mec.biz.dal.school.page.MusicGroupQuitQueryInfo;
import com.ym.mec.biz.service.MusicGroupQuitService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import com.ym.mec.common.page.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Slf4j
@Validated
@RestController
@RequestMapping("/schoolMusicGroupQuit")
@Api(tags = "学校学员退团服务")
public class SchoolMusicGroupQuitController extends BaseController {

    @Autowired
    private MusicGroupQuitService musicGroupQuitService;

	@ApiOperation(value = "分页查询")
    @PostMapping("/queryPage")
    public HttpResponseResult<PageInfo<MusicGroupQuitPageDto>> queryPage(@RequestBody MusicGroupQuitQueryInfo queryInfo,@RequestHeader Integer coopId) {
        queryInfo.setCoopId(coopId);
        return succeed(musicGroupQuitService.queryPageBySchool(queryInfo));
	}

	@ApiOperation(value = "获取退团详情")
    @GetMapping("/getDetail")
    public HttpResponseResult<MusicGroupQuitDetailDto> getDetail(Long musicGroupQuitId) {
        return succeed(musicGroupQuitService.getDetailBySchool(musicGroupQuitId));
	}

	@ApiOperation(value = "退团审批通过")
    @GetMapping("/auditPass")
    public HttpResponseResult auditPass(Long musicGroupQuitId,String reason) {
        musicGroupQuitService.auditPassBySchool(musicGroupQuitId,reason);
        return succeed();
	}

	@ApiOperation(value = "退团审批拒绝")
    @GetMapping("/auditReject")
    public HttpResponseResult auditReject(Long musicGroupQuitId,String reason) {
        musicGroupQuitService.auditRejectBySchool(musicGroupQuitId,reason);
        return succeed();
	}
}